<!DOCTYPE html>
<html>
    <head>
	<title>layout-system</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<link href="./styles/index.css" rel="stylesheet">
    </head>

    <body>

	<screen>
	    <h1>layout-system</h1>
	    <caption>
		<align-text right>
		    <p>Presentation text</p>
		</align-text>
	    </caption>
	</screen>

	<screen background-image text-color="second">
	    <img src="https://101010.hugurp.org/images/tumblr_nmi5nzMORu1twkjb3o1_1280.jpg"/>
	    <p>one</p>
	    <p>screen</p>
	    <p>hello</p>
	    <p>world</p>
	</screen>

	<screen text-color="third">
	    <columns>
		<p>two p texts in a columns component</p>
		<p>the other text in a html p tag</p>
	    </columns>
	</screen>

	<screen background-image text-color="second">
	    <img src="https://101010.hugurp.org/images/tumblr_nh5rob6nTs1twkjb3o1_1280.jpg"/>
	    <textcaption>Well, this is it?</textcaption>
	</screen>

	<space vertical=1>

	    <p>
		These are just p tags, in the wild.
	    </p>
	    <p>Ra (/rɑː/;[1] Ancient Egyptian: rꜥ or rˤ; also transliterated rˤw; cuneiform: 𒊑𒀀 ri-a or 𒊑𒅀ri-ia)[2] or Re (/reɪ/; Coptic: ⲣⲏ, Rē) is the ancient Egyptian deity of the sun. By the Fifth Dynasty in the 25th and 24th centuries BC, he had become one of the most important gods in ancient Egyptian religion, identified primarily with the noon sun.</p>

	    <p>In later Egyptian dynastic times, Ra was merged with the major state god Horus into Ra-Horakhty ("Ra, who is Horus of the Two Horizons"). He was believed to rule in all parts of the created world: the sky, the earth, and the underworld.[3] He was synonymous with the falcon, and he was commonly depicted with the head of a falcon. These images can be told apart from images of Horus due to having a sun disk on its head instead of Horus's usual Pschent headdress.</p>

	    <p>In the New Kingdom, when the god Amun rose to prominence he was fused with Ra into Amun-Ra. During the Amarna Period, Akhenaten suppressed the cult of Ra in favor of another solar deity, the Aten, the deified solar disc, but after the death of Akhenaten the cult of Ra was restored.</p>

	    <p>
		The cult of the Mnevis bull, an embodiment of Ra, had its center in Heliopolis and there was a formal burial ground for the sacrificed bulls north of the city.
	    </p>

	    <p>All forms of life were believed to have been created by Ra, who called each of them into existence by speaking their secret names. Alternatively man was created from Ra's tears and sweat, hence the Egyptians call themselves the "Cattle of Ra". In the myth of the Celestial Cow it is recounted how mankind plotted against Ra and how he sent his eye as the goddess Sekhmet to punish them. When she became bloodthirsty Ra pacified her by giving her beer mixed with red dye, which she drank in mistake for blood.</p>
	</space>

	<space vertical=2>
	    <p>Slideshow</p>
	    <slideshow>
		<p background-color="main">what</p>
		<p background-color="second">is</p>
		<p background-color="third">this</p>
	    </slideshow>
	</space

	<space vertical=3>
	    <p>Slideshow</p>
	    <slideshow auto>
		<img src="https://101010.hugurp.org/images/tumblr_ndfxg3llDc1twkjb3o1_1280.jpg"/>
		<img src="https://101010.hugurp.org/images/tumblr_n5kdbvYpPC1twkjb3o1_1280.jpg"/>
		<img src="https://101010.hugurp.org/images/tumblr_n3nk28BDH51twkjb3o1_1280.jpg"/>
	    </slideshow>
	</space>


	<space horizontal=2>
	    <columns two>
		<h2>The sun</h2>
		<p>To the Egyptians, the sun represented light, warmth, and growth. This made the sun deity very important, as the sun was seen as the ruler of all that he created. The sun disk was either seen as the body or eye of Ra. Ra was the father of Shu and Tefnut, whom he created by his own power. Shu was the god of the wind, and Tefnut was the goddess of the rain. Sekhmet was the Eye of Ra and was created by the fire in Ra's eye. She was a violent lioness sent to slaughter the people who betrayed Ra, but she was later turned into the more peaceful goddess Hathor. </p>
	    </columns>
	    
	    <columns four>
		<h2>In the underworld</h2>

		<p>Ra was thought to travel on the Atet, two solar barques called the Mandjet (the Boat of Millions of Years) or morning boat and the Mesektet or evening boat.[4] These boats took him on his journey through the sky and the Duat, the literal underworld of Egypt. While Ra was on the Mesektet, he was in his ram-headed form.[4] When Ra traveled in his sun boat, he was accompanied by various other deities including Sia (perception) and Hu (command), as well as Heka (magic power). Sometimes, members of the Ennead helped him on his journey, including Set, who overcame the serpent Apophis, and Mehen, who defended against the monsters of the underworld. When Ra was in the underworld, he would visit all of his various forms.[4]</p>

		<p>Apophis, the god of chaos, was an enormous serpent who attempted to stop the sun boat's journey every night by consuming it or by stopping it in its tracks with a hypnotic stare. During the evening, the Egyptians believed that Ra set as Atum or in the form of a ram. The night boat would carry him through the underworld and back towards the east in preparation for his rebirth. These myths of Ra represented the sun rising as the rebirth of the sun by the sky goddess Nut; thus attributing the concept of rebirth and renewal to Ra and strengthening his role as a creator god as well. Apophis was born from Ra's umbilical cord, indicative of how evil in Egyptian religion is the result of free will rather than a primordial force.[5]</p>

		<p>When Ra was in the underworld, he merged with Osiris, the god of the dead, and through it became the god of the dead as well.[4]</p>
	    </columns>
	</space>

	<space top=2>
	    <h2>As creator</h2>
	    <columns>
		<p>Ra was worshipped as the creator god among some ancient Egyptians, specifically followers of his cult at Heliopolis.[4] It was believed that Ra wept, and from his tears came man.[4] These cult-followers believed that Ra was self-created, while followers of Ptah believed that Ra was created by Ptah.[6] In a passage of the Book of the Dead, Ra cuts himself, and his blood transforms into two intellectual personifications: Hu, or authority, and Sia, or mind.[4] Ra is also accredited with the creation of the seasons, months, plants, and animals.</p>
	    </columns>
	</space>

	<space top=2 bottom=3 horizontal=2>
	    <columns three>
		<img src="https://101010.hugurp.org/images/tumblr_nmi5nzMORu1twkjb3o1_1280.jpg"/>
		<img src="https://101010.hugurp.org/images/tumblr_nlzkj7VniH1twkjb3o1_1280.jpg" />
		<img src="https://101010.hugurp.org/images/tumblr_nmi2y50VtQ1twkjb3o1_1280.jpg" />
	    </columns>
	</space>

    </body>    
</html>
